LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05199Bug reports[All Projects] ComfortUpdatepublic2011-05-25 17:582012-12-20 00:01
Reporterpmonstad 
Assigned Toc_schmitz 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version1.91 
Target VersionFixed in Version1.91+ 
Summary05199: Comfortupdate: Blank page at step 3 when updating from a 1.91(+) version
DescriptionStep 3 stops with a white screen in the browser. No warnings or errors at all. Same error when doing the same upgrade from RC6 to buid 10089. Had to update manually.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID10089
BrowserChrome
Database & DB-VersionMySql Centos 5.6
Operating System (Server)Centos 5.6
Webserver software & versionCentos 5.6 apache
PHP Version5.1.6
Attached Files? file icon dumpdb.php [^] (5,064 bytes) 2011-05-25 23:32

- Relationships
has duplicate 05212closedc_schmitz blank page on comfort update at step 3 
has duplicate 05211closedc_schmitz Comfort Update Step 3 is empty page 
has duplicate 05228closedc_schmitz ComfortUpdate Frozen on Step 3 
has duplicate 05246closedc_schmitz ComfortUpdate Frozen on Step 3 
has duplicate 05264closedc_schmitz Update to Version 1.91+(10232) fails using ComfortUpdate fails at step 3 

-  Notes
User avatar (15114)
pmonstad (reporter)
2011-05-25 20:31

Strange as I can't get it to work. It is the stable version I try to upgrade, from 10089 to latest. No errors in the logs and the server works OK as it has done the last three years.
User avatar (15116)
gwenguillaume (reporter)
2011-05-25 21:49
edited on: 2011-05-25 21:50

hi,

I have the same error. Blanck screen at step 3.
Zip file update is present in temp folder but after nothing.
Thanks.

PS: I have version 1.91 build 10030

User avatar (15122)
c_schmitz (administrator)
2011-05-25 23:32

pmonstad, you are right. I managed to find and fix the issue. Use the attached file and replace the existing dumpdb.php in /admin
User avatar (15123)
c_schmitz (administrator)
2011-05-25 23:33

Fixed in rev 10125
User avatar (15127)
pmonstad (reporter)
2011-05-26 09:33

I can confirm it works after replacing the dumpdb.php file. Thanks!
User avatar (15129)
gwenguillaume (reporter)
2011-05-26 14:01

Thanks, it's ok for me too.
User avatar (15132)
holch (reporter)
2011-05-26 21:43

worked for me as well, thanks for the prompt solution.
User avatar (15193)
mot (developer)
2011-05-31 21:49

I'm wondering if it's possible to update the updater prior to running the update so to have a tool to handle errors like this one. But this would mean that the updater is a component of it's own.
User avatar (15195)
c_schmitz (administrator)
2011-05-31 22:13
edited on: 2011-05-31 22:15

Yes, there is. But this pre-update handles only updater.php - not any other files like the database backup and there was no way to wrok around it.

User avatar (15228)
c_schmitz (administrator)
2011-06-01 23:43

New version released.
User avatar (15754)
Frisco (reporter)
2011-07-13 12:33

worked for me as well (10089 -> 10494), thanks!
User avatar (16954)
c_schmitz (administrator)
2012-01-24 21:20

New 1.91+ version released.

- Issue History
Date Modified Username Field Change
2011-05-25 17:58 pmonstad New Issue
2011-05-25 17:58 pmonstad Status new => assigned
2011-05-25 17:58 pmonstad Assigned To => c_schmitz
2011-05-25 18:15 c_schmitz Note Added: 15111
2011-05-25 18:20 c_schmitz Note Added: 15112
2011-05-25 18:23 c_schmitz Note Added: 15113
2011-05-25 18:23 c_schmitz Status assigned => closed
2011-05-25 18:23 c_schmitz Resolution open => fixed
2011-05-25 20:31 pmonstad Note Added: 15114
2011-05-25 20:31 pmonstad Status closed => feedback
2011-05-25 20:31 pmonstad Resolution fixed => reopened
2011-05-25 21:49 gwenguillaume Note Added: 15116
2011-05-25 21:50 gwenguillaume Note Edited: 15116 View Revisions
2011-05-25 23:32 c_schmitz Note Added: 15122
2011-05-25 23:32 c_schmitz File Added: dumpdb.php
2011-05-25 23:32 c_schmitz Sticky Issue No => Yes
2011-05-25 23:33 c_schmitz Note Added: 15123
2011-05-25 23:33 c_schmitz Status feedback => resolved
2011-05-25 23:33 c_schmitz Fixed in Version => 1.91+
2011-05-25 23:33 c_schmitz Resolution reopened => fixed
2011-05-25 23:35 c_schmitz Summary comfortupdate fails => Comfortupdate fails at step 3 when updating from a 1.91(+) version
2011-05-25 23:35 c_schmitz Note Deleted: 15113
2011-05-26 09:33 pmonstad Note Added: 15127
2011-05-26 14:01 gwenguillaume Note Added: 15129
2011-05-26 21:43 holch Note Added: 15132
2011-05-31 19:38 c_schmitz Relationship added has duplicate 05212
2011-05-31 19:39 c_schmitz Relationship added has duplicate 05211
2011-05-31 21:49 mot Note Added: 15193
2011-05-31 22:13 c_schmitz Note Added: 15195
2011-05-31 22:15 c_schmitz Note Edited: 15195 View Revisions
2011-06-01 23:43 c_schmitz Note Added: 15228
2011-06-01 23:43 c_schmitz Status resolved => closed
2011-06-01 23:43 c_schmitz Status closed => resolved
2011-06-02 08:17 c_schmitz Relationship added has duplicate 05228
2011-06-06 06:36 c_schmitz Relationship added has duplicate 05246
2011-06-09 09:54 c_schmitz Summary Comfortupdate fails at step 3 when updating from a 1.91(+) version => Comfortupdate: Blank page at step 3 when updating from a 1.91(+) version
2011-06-09 09:54 c_schmitz Note Deleted: 15111
2011-06-09 09:54 c_schmitz Note Deleted: 15112
2011-06-10 11:34 c_schmitz Relationship added has duplicate 05264
2011-07-13 12:33 Frisco Note Added: 15754
2011-10-08 22:18 c_schmitz Status resolved => closed
2011-11-15 15:35 c_schmitz Status closed => resolved
2012-01-24 21:20 c_schmitz Note Added: 16954
2012-01-24 21:20 c_schmitz Status resolved => closed
2012-12-20 00:01 c_schmitz Sticky Issue Yes => No


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker